import fs from 'fs';
import { expect, tap } from '@pushrocks/tapbundle';

import * as smartstream from '../ts/smartstream.classes.streamwrapper.js';

let testSmartstream: smartstream.StreamWrapper;
tap.test('should combine a stream', async () => {
  testSmartstream = new smartstream.StreamWrapper([
    fs.createReadStream('./test/assets/test.md'),
    fs.createWriteStream('./test/assets/testCopy.md'),
  ]);
  await testSmartstream.run();
});

tap.start();
